Field properties: allow to view multiple lines comment
Easy fix?: No Copied to github as #: 15909
Description

In Layer properties / tab fields : Viewing all lines and not only first line of fields comments would be great help to really use comment on
fields of databases formats.

See screenshot with truncated text.

For other data sources, what about allowing to edit text, and store it in qgs file / gml file? Could be nice too to easily document datas.
(Using ISO 19110 catalogs is quite.. painfull actually)

Régis

History

#1 - 2012-11-23 06:58 AM - Regis Haubourg
- File comment _field.png added

Here is a screenshot. Actually, QGIS shows two first lines. No way to scroll down..

#2 - 2013-01-21 11:02 PM - Francois Prunayre

Related to that topic, you may be interested in that ISO19110 helper plugin: http://taskman.eionet.europa.eu/issues/70

#3 - 2013-01-22 03:20 AM - Regis Haubourg
Hi Francois, it's a pleasure to meet you herel.
| didn't get is19110 plugin on oslandia repo. is that still under developpement? I'm really interested in testing it.
- Does your plugin offer a QGIS Ul to view ISO 19110 generated record (with different templates) or is that only a tool to ease xml generation?
- When you ask:
"Extra-feature Some other features could be added later to the plugin:

attribute definition: could we extract that info from a Postgres COMMENT ?"

| think you'd better extract qgis comment for field, which could be filled by ggis data provider, or stored in QGS project by user editing for data sources that
do not have abiolities to store comments
Regards

#4 - 2015-01-05 02:18 PM - Matthias Kuhn

The following QEP addresses this issue among others. Please comment there if you would like to see this implemented.
http://taskman.eionet.europa.eu/issues/70

https://github.com/m-kuhn/QGIS-Enhancement-Proposals/blob/fields-and-forms-redesign/QEP-Fields-and-forms-redesign.rst

#5 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#6 - 2017-09-22 10:06 AM - Jiirgen Fischer

- Category set to Unknown
